\name{getReadCnts}
\alias{getReadCnts}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Calculates read counts from reads in fastq format.
}
\description{
Takes reads from a sequencing run (e.g. one lane on Genome Analyzer) in
fastq format and calculates the frequency of each read.
}
\usage{
getReadCnts(dir, infile, outfile, format = "fastq")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{dir}{
The directory in which the fastq file resides.
}
  \item{infile}{
The fastq file.
}
  \item{outfile}{
The output file.
}
  \item{format}{
Must be "fastq" for now.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
  Produces a table of two columns separated by a single space. The first
  column is the read. The second column is the frequency of that
  read. Reads in the table are sorted in decreasing order of their
  frequencies. Writes to the output file supplied in the function argument.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
% \examples{
% ##---- Should be DIRECTLY executable !! ----
% ##-- ==>  Define data, use random,
% ##--	or do  help(data=index)  for the standard data sets.

% ## The function is currently defined as
% function (dir, infile, outfile, format = "fastq") 
% {
%     fq = readFastq(dir, infile)
%     reads = sread(fq)
%     tbls = tables(reads, n = length(unique(reads)))
%     write.table(tbls$top, file = outfile, quote = F, col.names = F, 
%         row.names = T)
%     return(tbls$top)
%   }
% }
% % Add one or more standard keywords, see file 'KEYWORDS' in the
% % R documentation directory.
% \keyword{ ~kwd1 }
% \keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
